%define upstream_name    Inline-CPP
%define upstream_version 0.74

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Write Perl subroutines and classes in C++
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Inline/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::CppGuess)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.560.0
BuildRequires: perl(Inline) >= 0.530.0
BuildRequires: perl(Inline::C) >= 0.530.0
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl-devel
BuildArch:  noarch

%description
The the Inline::CPP manpage module allows you to put C++ source code
directly "inline" in a Perl script or module. You code classes or functions
in C++, and you can use them as if they were written in Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL_MM_USE_DEFAULT=true
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TESTED
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.740.0-4pclos2017
- rebuild against updates

